'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSportsKabaddi = function SvgSportsKabaddi(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M16.45 5a2 2 0 1 0 0-4 2 2 0 0 0 0 4m-5.49 4c-.25-.05-.5-.14-.72-.29-.11-.08-.22-.16-.31-.26-.49-.49-.67-1.17-.55-1.8.07-.37.25-.74.55-1.03.19-.19.42-.34.65-.45.13-.05.27-.09.41-.11.12-.02.23-.03.35-.03.121 0 .234.017.354.036l.026.004c.13.02.25.06.37.11.24.1.47.25.66.44.3.29.48.66.55 1.03.12.63-.06 1.31-.55 1.8-.19.2-.42.34-.66.44-.12.05-.24.09-.37.11-.12.03-.25.04-.38.04-.121 0-.234-.017-.354-.036zm-1.77.18 2 2c.9.9 2.1 1.5 3.6 1.52l.14 2.07c-2.06 0-3.74-.78-5.03-2.04l-.71-.71-2.36 2.36 2.12 2.12v6h-2v-5.13l-1.3-1.21v2.22l-4.24 4.24L0 21.2l3.63-3.63-1.07-2.95a1.5 1.5 0 0 1-.11-.55c-.04-.56.17-1.13.58-1.54l3.34-3.34c.39-.39.9-.59 1.41-.59.13 0 .25.01.38.04.25.04.5.14.72.28.11.08.21.16.31.26m14.76 3.32V7.8L18.9 5.66c-.97-.41-2.09-.06-2.65.84l-1 1.6c-.67 1.18-1.91 2.06-3.41 2.32l.06.06c.69.69 1.52 1.07 2.46 1.17.8-.42 1.52-.98 2.09-1.64l.6 3-1.16 1.1-.94.89v7.5h2v-6l2.1-2 1.8 8h2.1l-2.18-11-.62-3.1 1.8.7v3.4z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgSportsKabaddi;
